Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3113 - Calling vi from more doesn't work
Summary: Calling vi from more doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-28 11:00 UTC by pmelo
Modified: 2015-01-07 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-28 17:49:35 UTC


Attachments (Terms of Use)

Description pmelo 1999-05-28 11:00:13 UTC
Hi.

Just a simple bug, with a very simple fix-up: in util-linux,
the "more" program searches for vi (on a v key) in
/usr/bin/vi. However, vi is on /bin/vi, so it allways fails.

Two simple solutions:
1) change /usr/bin/vi to /bin/vi on the source - you need to
change the manual page too, since it explicitly refers
/usr/bin/vi
	or
2) to create a symlink from /usr/bin/vi to /bin/vi


Workaround:
Use "less"
Best regards,
	Paulo Melo

Comment 1 Dale Lovelace 1999-05-28 14:34:59 UTC
Perhaps you have installed a non-standard vim package?

[root@gandalf SPECS]# cat /etc/redhat-release
Red Hat Linux release 6.0 (Hedwig)
[root@gandalf SPECS]# rpm -qa | grep vim
vim-common-5.3-7
vim-enhanced-5.3-7
vim-minimal-5.3-7
vim-X11-5.3-7
[root@gandalf SPECS]# whereis vim
vim: /usr/bin/vim /usr/share/vim /usr/man/man1/vim.1

Comment 2 Dale Lovelace 1999-05-28 14:37:59 UTC
Oh yeah:

[root@gandalf SPECS]# whereis vi
vi: /bin/vi /usr/bin/vi /usr/man/man1/vi.1


------- Email Received From  Paulo Melo <pmelo@fe.uc.pt> 05/28/99 10:51 -------


Note You need to log in before you can comment on or make changes to this bug.